// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

/**
 * Protobuf type {@code com.accelfin.server.messaging.dtos.HeartbeatDto}
 */
public  final class HeartbeatDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.messaging.dtos.HeartbeatDto)
    HeartbeatDtoOrBuilder {
  // Use HeartbeatDto.newBuilder() to construct.
  private HeartbeatDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private HeartbeatDto() {
    serviceId_ = "";
    serviceType_ = "";
    operationConfigDtos_ = java.util.Collections.emptyList();
    serviceLoad_ = 0;
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private HeartbeatDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            java.lang.String s = input.readStringRequireUtf8();

            serviceId_ = s;
            break;
          }
          case 18: {
            java.lang.String s = input.readStringRequireUtf8();

            serviceType_ = s;
            break;
          }
          case 26: {
            if (!((mutable_bitField0_ & 0x00000004) == 0x00000004)) {
              operationConfigDtos_ = new java.util.ArrayList<com.accelfin.server.messaging.dtos.OperationConfigDto>();
              mutable_bitField0_ |= 0x00000004;
            }
            operationConfigDtos_.add(input.readMessage(com.accelfin.server.messaging.dtos.OperationConfigDto.parser(), extensionRegistry));
            break;
          }
          case 34: {
            com.accelfin.server.messaging.dtos.TimestampDto.Builder subBuilder = null;
            if (timestamp_ != null) {
              subBuilder = timestamp_.toBuilder();
            }
            timestamp_ = input.readMessage(com.accelfin.server.messaging.dtos.TimestampDto.parser(), extensionRegistry);
            if (subBuilder != null) {
              subBuilder.mergeFrom(timestamp_);
              timestamp_ = subBuilder.buildPartial();
            }

            break;
          }
          case 40: {

            serviceLoad_ = input.readInt32();
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      if (((mutable_bitField0_ & 0x00000004) == 0x00000004)) {
        operationConfigDtos_ = java.util.Collections.unmodifiableList(operationConfigDtos_);
      }
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.messaging.dtos.HeartbeatDto.class, com.accelfin.server.messaging.dtos.HeartbeatDto.Builder.class);
  }

  private int bitField0_;
  public static final int SERVICE_ID_FIELD_NUMBER = 1;
  private volatile java.lang.Object serviceId_;
  /**
   * <code>optional string service_id = 1;</code>
   */
  public java.lang.String getServiceId() {
    java.lang.Object ref = serviceId_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      serviceId_ = s;
      return s;
    }
  }
  /**
   * <code>optional string service_id = 1;</code>
   */
  public com.google.protobuf.ByteString
      getServiceIdBytes() {
    java.lang.Object ref = serviceId_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      serviceId_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int SERVICE_TYPE_FIELD_NUMBER = 2;
  private volatile java.lang.Object serviceType_;
  /**
   * <code>optional string service_type = 2;</code>
   */
  public java.lang.String getServiceType() {
    java.lang.Object ref = serviceType_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      serviceType_ = s;
      return s;
    }
  }
  /**
   * <code>optional string service_type = 2;</code>
   */
  public com.google.protobuf.ByteString
      getServiceTypeBytes() {
    java.lang.Object ref = serviceType_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      serviceType_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int OPERATION_CONFIG_DTOS_FIELD_NUMBER = 3;
  private java.util.List<com.accelfin.server.messaging.dtos.OperationConfigDto> operationConfigDtos_;
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  public java.util.List<com.accelfin.server.messaging.dtos.OperationConfigDto> getOperationConfigDtosList() {
    return operationConfigDtos_;
  }
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  public java.util.List<? extends com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder> 
      getOperationConfigDtosOrBuilderList() {
    return operationConfigDtos_;
  }
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  public int getOperationConfigDtosCount() {
    return operationConfigDtos_.size();
  }
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  public com.accelfin.server.messaging.dtos.OperationConfigDto getOperationConfigDtos(int index) {
    return operationConfigDtos_.get(index);
  }
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  public com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder getOperationConfigDtosOrBuilder(
      int index) {
    return operationConfigDtos_.get(index);
  }

  public static final int TIMESTAMP_FIELD_NUMBER = 4;
  private com.accelfin.server.messaging.dtos.TimestampDto timestamp_;
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
   */
  public boolean hasTimestamp() {
    return timestamp_ != null;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDto getTimestamp() {
    return timestamp_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timestamp_;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimestampOrBuilder() {
    return getTimestamp();
  }

  public static final int SERVICE_LOAD_FIELD_NUMBER = 5;
  private int serviceLoad_;
  /**
   * <code>optional int32 service_load = 5;</code>
   */
  public int getServiceLoad() {
    return serviceLoad_;
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (!getServiceIdBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 1, serviceId_);
    }
    if (!getServiceTypeBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 2, serviceType_);
    }
    for (int i = 0; i < operationConfigDtos_.size(); i++) {
      output.writeMessage(3, operationConfigDtos_.get(i));
    }
    if (timestamp_ != null) {
      output.writeMessage(4, getTimestamp());
    }
    if (serviceLoad_ != 0) {
      output.writeInt32(5, serviceLoad_);
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (!getServiceIdBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(1, serviceId_);
    }
    if (!getServiceTypeBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(2, serviceType_);
    }
    for (int i = 0; i < operationConfigDtos_.size(); i++) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, operationConfigDtos_.get(i));
    }
    if (timestamp_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(4, getTimestamp());
    }
    if (serviceLoad_ != 0) {
      size += com.google.protobuf.CodedOutputStream
        .computeInt32Size(5, serviceLoad_);
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.HeartbeatDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.messaging.dtos.HeartbeatDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.messaging.dtos.HeartbeatDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.messaging.dtos.HeartbeatDto)
      com.accelfin.server.messaging.dtos.HeartbeatDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.messaging.dtos.HeartbeatDto.class, com.accelfin.server.messaging.dtos.HeartbeatDto.Builder.class);
    }

    // Construct using com.accelfin.server.messaging.dtos.HeartbeatDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        getOperationConfigDtosFieldBuilder();
      }
    }
    public Builder clear() {
      super.clear();
      serviceId_ = "";

      serviceType_ = "";

      if (operationConfigDtosBuilder_ == null) {
        operationConfigDtos_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000004);
      } else {
        operationConfigDtosBuilder_.clear();
      }
      if (timestampBuilder_ == null) {
        timestamp_ = null;
      } else {
        timestamp_ = null;
        timestampBuilder_ = null;
      }
      serviceLoad_ = 0;

      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_HeartbeatDto_descriptor;
    }

    public com.accelfin.server.messaging.dtos.HeartbeatDto getDefaultInstanceForType() {
      return com.accelfin.server.messaging.dtos.HeartbeatDto.getDefaultInstance();
    }

    public com.accelfin.server.messaging.dtos.HeartbeatDto build() {
      com.accelfin.server.messaging.dtos.HeartbeatDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.messaging.dtos.HeartbeatDto buildPartial() {
      com.accelfin.server.messaging.dtos.HeartbeatDto result = new com.accelfin.server.messaging.dtos.HeartbeatDto(this);
      int from_bitField0_ = bitField0_;
      int to_bitField0_ = 0;
      result.serviceId_ = serviceId_;
      result.serviceType_ = serviceType_;
      if (operationConfigDtosBuilder_ == null) {
        if (((bitField0_ & 0x00000004) == 0x00000004)) {
          operationConfigDtos_ = java.util.Collections.unmodifiableList(operationConfigDtos_);
          bitField0_ = (bitField0_ & ~0x00000004);
        }
        result.operationConfigDtos_ = operationConfigDtos_;
      } else {
        result.operationConfigDtos_ = operationConfigDtosBuilder_.build();
      }
      if (timestampBuilder_ == null) {
        result.timestamp_ = timestamp_;
      } else {
        result.timestamp_ = timestampBuilder_.build();
      }
      result.serviceLoad_ = serviceLoad_;
      result.bitField0_ = to_bitField0_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.messaging.dtos.HeartbeatDto) {
        return mergeFrom((com.accelfin.server.messaging.dtos.HeartbeatDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.messaging.dtos.HeartbeatDto other) {
      if (other == com.accelfin.server.messaging.dtos.HeartbeatDto.getDefaultInstance()) return this;
      if (!other.getServiceId().isEmpty()) {
        serviceId_ = other.serviceId_;
        onChanged();
      }
      if (!other.getServiceType().isEmpty()) {
        serviceType_ = other.serviceType_;
        onChanged();
      }
      if (operationConfigDtosBuilder_ == null) {
        if (!other.operationConfigDtos_.isEmpty()) {
          if (operationConfigDtos_.isEmpty()) {
            operationConfigDtos_ = other.operationConfigDtos_;
            bitField0_ = (bitField0_ & ~0x00000004);
          } else {
            ensureOperationConfigDtosIsMutable();
            operationConfigDtos_.addAll(other.operationConfigDtos_);
          }
          onChanged();
        }
      } else {
        if (!other.operationConfigDtos_.isEmpty()) {
          if (operationConfigDtosBuilder_.isEmpty()) {
            operationConfigDtosBuilder_.dispose();
            operationConfigDtosBuilder_ = null;
            operationConfigDtos_ = other.operationConfigDtos_;
            bitField0_ = (bitField0_ & ~0x00000004);
            operationConfigDtosBuilder_ = 
              com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders ?
                 getOperationConfigDtosFieldBuilder() : null;
          } else {
            operationConfigDtosBuilder_.addAllMessages(other.operationConfigDtos_);
          }
        }
      }
      if (other.hasTimestamp()) {
        mergeTimestamp(other.getTimestamp());
      }
      if (other.getServiceLoad() != 0) {
        setServiceLoad(other.getServiceLoad());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.messaging.dtos.HeartbeatDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.messaging.dtos.HeartbeatDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }
    private int bitField0_;

    private java.lang.Object serviceId_ = "";
    /**
     * <code>optional string service_id = 1;</code>
     */
    public java.lang.String getServiceId() {
      java.lang.Object ref = serviceId_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        serviceId_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string service_id = 1;</code>
     */
    public com.google.protobuf.ByteString
        getServiceIdBytes() {
      java.lang.Object ref = serviceId_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        serviceId_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string service_id = 1;</code>
     */
    public Builder setServiceId(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      serviceId_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string service_id = 1;</code>
     */
    public Builder clearServiceId() {
      
      serviceId_ = getDefaultInstance().getServiceId();
      onChanged();
      return this;
    }
    /**
     * <code>optional string service_id = 1;</code>
     */
    public Builder setServiceIdBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      serviceId_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object serviceType_ = "";
    /**
     * <code>optional string service_type = 2;</code>
     */
    public java.lang.String getServiceType() {
      java.lang.Object ref = serviceType_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        serviceType_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string service_type = 2;</code>
     */
    public com.google.protobuf.ByteString
        getServiceTypeBytes() {
      java.lang.Object ref = serviceType_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        serviceType_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string service_type = 2;</code>
     */
    public Builder setServiceType(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      serviceType_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string service_type = 2;</code>
     */
    public Builder clearServiceType() {
      
      serviceType_ = getDefaultInstance().getServiceType();
      onChanged();
      return this;
    }
    /**
     * <code>optional string service_type = 2;</code>
     */
    public Builder setServiceTypeBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      serviceType_ = value;
      onChanged();
      return this;
    }

    private java.util.List<com.accelfin.server.messaging.dtos.OperationConfigDto> operationConfigDtos_ =
      java.util.Collections.emptyList();
    private void ensureOperationConfigDtosIsMutable() {
      if (!((bitField0_ & 0x00000004) == 0x00000004)) {
        operationConfigDtos_ = new java.util.ArrayList<com.accelfin.server.messaging.dtos.OperationConfigDto>(operationConfigDtos_);
        bitField0_ |= 0x00000004;
       }
    }

    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.messaging.dtos.OperationConfigDto, com.accelfin.server.messaging.dtos.OperationConfigDto.Builder, com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder> operationConfigDtosBuilder_;

    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public java.util.List<com.accelfin.server.messaging.dtos.OperationConfigDto> getOperationConfigDtosList() {
      if (operationConfigDtosBuilder_ == null) {
        return java.util.Collections.unmodifiableList(operationConfigDtos_);
      } else {
        return operationConfigDtosBuilder_.getMessageList();
      }
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public int getOperationConfigDtosCount() {
      if (operationConfigDtosBuilder_ == null) {
        return operationConfigDtos_.size();
      } else {
        return operationConfigDtosBuilder_.getCount();
      }
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public com.accelfin.server.messaging.dtos.OperationConfigDto getOperationConfigDtos(int index) {
      if (operationConfigDtosBuilder_ == null) {
        return operationConfigDtos_.get(index);
      } else {
        return operationConfigDtosBuilder_.getMessage(index);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder setOperationConfigDtos(
        int index, com.accelfin.server.messaging.dtos.OperationConfigDto value) {
      if (operationConfigDtosBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureOperationConfigDtosIsMutable();
        operationConfigDtos_.set(index, value);
        onChanged();
      } else {
        operationConfigDtosBuilder_.setMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder setOperationConfigDtos(
        int index, com.accelfin.server.messaging.dtos.OperationConfigDto.Builder builderForValue) {
      if (operationConfigDtosBuilder_ == null) {
        ensureOperationConfigDtosIsMutable();
        operationConfigDtos_.set(index, builderForValue.build());
        onChanged();
      } else {
        operationConfigDtosBuilder_.setMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder addOperationConfigDtos(com.accelfin.server.messaging.dtos.OperationConfigDto value) {
      if (operationConfigDtosBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureOperationConfigDtosIsMutable();
        operationConfigDtos_.add(value);
        onChanged();
      } else {
        operationConfigDtosBuilder_.addMessage(value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder addOperationConfigDtos(
        int index, com.accelfin.server.messaging.dtos.OperationConfigDto value) {
      if (operationConfigDtosBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureOperationConfigDtosIsMutable();
        operationConfigDtos_.add(index, value);
        onChanged();
      } else {
        operationConfigDtosBuilder_.addMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder addOperationConfigDtos(
        com.accelfin.server.messaging.dtos.OperationConfigDto.Builder builderForValue) {
      if (operationConfigDtosBuilder_ == null) {
        ensureOperationConfigDtosIsMutable();
        operationConfigDtos_.add(builderForValue.build());
        onChanged();
      } else {
        operationConfigDtosBuilder_.addMessage(builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder addOperationConfigDtos(
        int index, com.accelfin.server.messaging.dtos.OperationConfigDto.Builder builderForValue) {
      if (operationConfigDtosBuilder_ == null) {
        ensureOperationConfigDtosIsMutable();
        operationConfigDtos_.add(index, builderForValue.build());
        onChanged();
      } else {
        operationConfigDtosBuilder_.addMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder addAllOperationConfigDtos(
        java.lang.Iterable<? extends com.accelfin.server.messaging.dtos.OperationConfigDto> values) {
      if (operationConfigDtosBuilder_ == null) {
        ensureOperationConfigDtosIsMutable();
        com.google.protobuf.AbstractMessageLite.Builder.addAll(
            values, operationConfigDtos_);
        onChanged();
      } else {
        operationConfigDtosBuilder_.addAllMessages(values);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder clearOperationConfigDtos() {
      if (operationConfigDtosBuilder_ == null) {
        operationConfigDtos_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000004);
        onChanged();
      } else {
        operationConfigDtosBuilder_.clear();
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public Builder removeOperationConfigDtos(int index) {
      if (operationConfigDtosBuilder_ == null) {
        ensureOperationConfigDtosIsMutable();
        operationConfigDtos_.remove(index);
        onChanged();
      } else {
        operationConfigDtosBuilder_.remove(index);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public com.accelfin.server.messaging.dtos.OperationConfigDto.Builder getOperationConfigDtosBuilder(
        int index) {
      return getOperationConfigDtosFieldBuilder().getBuilder(index);
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder getOperationConfigDtosOrBuilder(
        int index) {
      if (operationConfigDtosBuilder_ == null) {
        return operationConfigDtos_.get(index);  } else {
        return operationConfigDtosBuilder_.getMessageOrBuilder(index);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public java.util.List<? extends com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder> 
         getOperationConfigDtosOrBuilderList() {
      if (operationConfigDtosBuilder_ != null) {
        return operationConfigDtosBuilder_.getMessageOrBuilderList();
      } else {
        return java.util.Collections.unmodifiableList(operationConfigDtos_);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public com.accelfin.server.messaging.dtos.OperationConfigDto.Builder addOperationConfigDtosBuilder() {
      return getOperationConfigDtosFieldBuilder().addBuilder(
          com.accelfin.server.messaging.dtos.OperationConfigDto.getDefaultInstance());
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public com.accelfin.server.messaging.dtos.OperationConfigDto.Builder addOperationConfigDtosBuilder(
        int index) {
      return getOperationConfigDtosFieldBuilder().addBuilder(
          index, com.accelfin.server.messaging.dtos.OperationConfigDto.getDefaultInstance());
    }
    /**
     * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
     */
    public java.util.List<com.accelfin.server.messaging.dtos.OperationConfigDto.Builder> 
         getOperationConfigDtosBuilderList() {
      return getOperationConfigDtosFieldBuilder().getBuilderList();
    }
    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.messaging.dtos.OperationConfigDto, com.accelfin.server.messaging.dtos.OperationConfigDto.Builder, com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder> 
        getOperationConfigDtosFieldBuilder() {
      if (operationConfigDtosBuilder_ == null) {
        operationConfigDtosBuilder_ = new com.google.protobuf.RepeatedFieldBuilder<
            com.accelfin.server.messaging.dtos.OperationConfigDto, com.accelfin.server.messaging.dtos.OperationConfigDto.Builder, com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder>(
                operationConfigDtos_,
                ((bitField0_ & 0x00000004) == 0x00000004),
                getParentForChildren(),
                isClean());
        operationConfigDtos_ = null;
      }
      return operationConfigDtosBuilder_;
    }

    private com.accelfin.server.messaging.dtos.TimestampDto timestamp_ = null;
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> timestampBuilder_;
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    public boolean hasTimestamp() {
      return timestampBuilder_ != null || timestamp_ != null;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto getTimestamp() {
      if (timestampBuilder_ == null) {
        return timestamp_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timestamp_;
      } else {
        return timestampBuilder_.getMessage();
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    public Builder setTimestamp(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (timestampBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        timestamp_ = value;
        onChanged();
      } else {
        timestampBuilder_.setMessage(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    public Builder setTimestamp(
        com.accelfin.server.messaging.dtos.TimestampDto.Builder builderForValue) {
      if (timestampBuilder_ == null) {
        timestamp_ = builderForValue.build();
        onChanged();
      } else {
        timestampBuilder_.setMessage(builderForValue.build());
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    public Builder mergeTimestamp(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (timestampBuilder_ == null) {
        if (timestamp_ != null) {
          timestamp_ =
            com.accelfin.server.messaging.dtos.TimestampDto.newBuilder(timestamp_).mergeFrom(value).buildPartial();
        } else {
          timestamp_ = value;
        }
        onChanged();
      } else {
        timestampBuilder_.mergeFrom(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    public Builder clearTimestamp() {
      if (timestampBuilder_ == null) {
        timestamp_ = null;
        onChanged();
      } else {
        timestamp_ = null;
        timestampBuilder_ = null;
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto.Builder getTimestampBuilder() {
      
      onChanged();
      return getTimestampFieldBuilder().getBuilder();
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimestampOrBuilder() {
      if (timestampBuilder_ != null) {
        return timestampBuilder_.getMessageOrBuilder();
      } else {
        return timestamp_ == null ?
            com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timestamp_;
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
     */
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> 
        getTimestampFieldBuilder() {
      if (timestampBuilder_ == null) {
        timestampBuilder_ = new com.google.protobuf.SingleFieldBuilder<
            com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder>(
                getTimestamp(),
                getParentForChildren(),
                isClean());
        timestamp_ = null;
      }
      return timestampBuilder_;
    }

    private int serviceLoad_ ;
    /**
     * <code>optional int32 service_load = 5;</code>
     */
    public int getServiceLoad() {
      return serviceLoad_;
    }
    /**
     * <code>optional int32 service_load = 5;</code>
     */
    public Builder setServiceLoad(int value) {
      
      serviceLoad_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional int32 service_load = 5;</code>
     */
    public Builder clearServiceLoad() {
      
      serviceLoad_ = 0;
      onChanged();
      return this;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.messaging.dtos.HeartbeatDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.messaging.dtos.HeartbeatDto)
  private static final com.accelfin.server.messaging.dtos.HeartbeatDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.messaging.dtos.HeartbeatDto();
  }

  public static com.accelfin.server.messaging.dtos.HeartbeatDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<HeartbeatDto>
      PARSER = new com.google.protobuf.AbstractParser<HeartbeatDto>() {
    public HeartbeatDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new HeartbeatDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<HeartbeatDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<HeartbeatDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.messaging.dtos.HeartbeatDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

